@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.gallery-picture {
    transition: transform .5s ease;
}

    .gallery-picture:hover {
        transform: scale(1.1);
    }

.video-container {
    width: 100vw;
    height: 100vh;
    overflow: hidden;
    position: relative;
}

    .video-container iframe {
        position: absolute;
        top: -60px;
        left: 0;
        width: 100%;
        height: calc(100% + 120px);
    }

.video-foreground {
    pointer-events: none;
}


/* Add some content at the bottom of the video/page */
.index-content {
    position: fixed;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    color: #f1f1f1;
    width: 100%;
    padding: 20px;
}
.picture-text {
    font-family: 'Pacifico', cursive;
}

.bg-control-panel {
    background-color: aliceblue;
    height: 100vh;
}

.container-promo {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video-promo {
    box-shadow: 10px -10px 5px rgba(0,0,0,0.6);
}

.app-version {
    position: fixed;
    bottom: 10px;
    right: 10px;
    z-index: 100;
}
    

